1. User
Ecoland
  • EcoLand
    • Authentication
      • Sign-In
      • Sign-up
      • Refresh Token
    • User
      • Resources
        GET
      • User Information
        PATCH
      • User Information
        GET
    • Buildings
      • Building Details
      • All Buildings
      • Construct Building
      • List of Possible Construction
      • Possible Prudctions of a building
    • Production
      • Cancel Production
      • Start Production
    • Transportation
      • Shipment
    • Admin
      • user-management
        • Users
  • Schemas
    • EcoLand
      • Storage_Base
      • Production_Base
      • Building_Base
      • Product_Base
      • Construciton_Base
      • Shipment_Base
      • ProductionsInOut_List
      • Productions_Def
      • UserInfo
      • UserResources
    • Error_Responses
      • Insufficent_Money
  1. User

User Information

Developing
PATCH
/user/info
This endpoint is made so that the user can update their data.
Only send fields will be updated

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Body Params application/json

Example
{
  "id": "string",
  "username": "string",
  "email": "string",
  "oldPassword": "string",
  "newPassword": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/user/info?id=4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "id": "string",
  "username": "string",
  "email": "string",
  "oldPassword": "string",
  "newPassword": "string"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "id": 0,
    "name": "string",
    "email": "string"
}
Modified at 2025-02-23 10:52:33
Previous
Resources
Next
User Information
Built with